LibreOffice: cppu::ContextEntry_Init Struct Reference

LibreOffice LibreOffice 7.3 SDK C/C++ API Reference

Public Member Functions | Public Attributes | List of all members
cppu::ContextEntry_Init Struct Reference

Context entries init struct calling createComponentContext(). More...

`#include <component_context.hxx>`

## Public Member Functions
| ContextEntry_Init ()
| Default ctor. More...
| ContextEntry_Init (::rtl::OUString const &name_, css::uno::Any const &value_, bool bLateInitService_=false)
| Ctor. More...

## Public Attributes
bool | bLateInitService
| late init denotes an object that will be raised when first get() is calling for it More...
::rtl::OUString | name
| name of context value More...
css::uno::Any | value
| context value More...

## Detailed Description

Context entries init struct calling createComponentContext().

## Constructor & Destructor Documentation

## ◆ ContextEntry_Init() [1/2]

cppu::ContextEntry_Init::ContextEntry_Init | ( |  | ) |
| inline

Default ctor.

## ◆ ContextEntry_Init() [2/2]

cppu::ContextEntry_Init::ContextEntry_Init | ( | ::rtl::OUString const & | name_,
|  | css::uno::Any const & | value_,
|  | bool | bLateInitService_ = `false`
| ) |  |
| inline

Ctor.

Parameters

  name_ | name of entry
  value_ | value of entry
  bLateInitService_ | whether this entry is a late-init named object entry (value is object factory or service string)

## Member Data Documentation

## ◆ bLateInitService

bool cppu::ContextEntry_Init::bLateInitService

late init denotes an object that will be raised when first get() is calling for it

The context implementation expects either a css::lang::XSingleComponentFactory object as value (to instantiate the object) or a string as value for raising a service via the used service manager.

## ◆ name

::rtl::OUString cppu::ContextEntry_Init::name

name of context value

## ◆ value

css::uno::Any cppu::ContextEntry_Init::value

context value

The documentation for this struct was generated from the following file:

- cppuhelper/component_context.hxx